使用クォータを一覧表示してください

Note: This endpoint is in Preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/usage/quotas/{quota_namespace}https://api.ap2.datadoghq.com/api/v2/usage/quotas/{quota_namespace}https://api.datadoghq.eu/api/v2/usage/quotas/{quota_namespace}https://api.ddog-gov.com/api/v2/usage/quotas/{quota_namespace}https://api.us2.ddog-gov.com/api/v2/usage/quotas/{quota_namespace}https://api.uk1.datadoghq.com/api/v2/usage/quotas/{quota_namespace}https://api.datadoghq.com/api/v2/usage/quotas/{quota_namespace}https://api.us3.datadoghq.com/api/v2/usage/quotas/{quota_namespace}https://api.us5.datadoghq.com/api/v2/usage/quotas/{quota_namespace}

概要

Lists usage quotas for the caller’s organization in a quota namespace. You can optionally include descendant organizations in the same datacenter as the caller. Requires the user_access_manage, billing_edit, and org_management permissions. This endpoint requires all of the following permissions:

  • user_access_manage
  • billing_edit
  • org_management

  • OAuth apps require the user_access_manage, billing_edit, org_management authorization scope to access this endpoint.

    引数

    パスパラメーター

    名前

    種類

    説明

    quota_namespace [required]

    string

    The product-specific namespace whose usage quotas are being managed.

    クエリ文字列

    名前

    種類

    説明

    include_descendants

    boolean

    Whether to include quotas configured on descendant organizations in the caller’s organization hierarchy. Only descendants in the same datacenter are supported.

    page[cursor]

    string

    An opaque cursor from a previous response’s meta.page.next_cursor used to retrieve the next page.

    page[limit]

    integer

    The number of usage quotas to return per page.

    応答

    OK

    Response containing a paginated list of usage quotas.

    Expand All

    フィールド

    種類

    説明

    data [required]

    [object]

    A list of usage quota resources.

    attributes [required]

    object

    Attributes of a usage quota.

    enforced [required]

    boolean

    Whether usage above the limit is actively blocked instead of only tracked or alerted on.

    org_public_id [required]

    string

    The public ID of the organization that owns the quota.

    scope

    object

    A namespace-specific key and value identifying what the quota applies to within an organization. The object contains exactly one entry. A value of "*" identifies the default quota applied to entities without a specific quota. This field is omitted for an organization-wide quota.

    <any-key>

    string

    usage_limit [required]

    double

    The quota limit in the usage units defined by the quota namespace. May be fractional for quotas configured before public writes required whole units.

    id [required]

    string

    An opaque usage quota identifier. Clients must pass this value back verbatim in update and delete requests and must not infer any structure from it.

    type [required]

    enum

    The JSON:API resource type for a usage quota. Allowed enum values: quotas

    meta [required]

    object

    Pagination metadata for a usage quota list response.

    page [required]

    object

    Cursor pagination fields for a usage quota list response.

    next_cursor

    string

    An opaque cursor for retrieving the next page. Omitted when there are no more results.

    {
      "data": [
        {
          "attributes": {
            "enforced": true,
            "org_public_id": "abcdef12345",
            "scope": {
              "<any-key>": "jane@example.com"
            },
            "usage_limit": 100000
          },
          "id": "MjAfYWlfY3JlZGl0c1911c2VyX2hhbmRsZTpfX0FMTF9f",
          "type": "quotas"
        }
      ],
      "meta": {
        "page": {
          "next_cursor": "eyJvZmZzZXQiOjEwMH0="
        }
      }
    }

    Bad Request

    API error response.

    Expand All

    フィールド

    種類

    説明

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    フィールド

    種類

    説明

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    フィールド

    種類

    説明

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    コード例

                      # Path parameters
    export quota_namespace="ai_credits"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/usage/quotas/${quota_namespace}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    List usage quotas returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.usage_metering_api import UsageMeteringApi
    
    configuration = Configuration()
    configuration.unstable_operations["list_quotas"] = True
    with ApiClient(configuration) as api_client:
        api_instance = UsageMeteringApi(api_client)
        response = api_instance.list_quotas(
            quota_namespace="ai_credits",
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # List usage quotas returns "OK" response
    
    require "datadog_api_client"
    DatadogAPIClient.configure do |config|
      config.unstable_operations["v2.list_quotas".to_sym] = true
    end
    api_instance = DatadogAPIClient::V2::UsageMeteringAPI.new
    p api_instance.list_quotas("ai_credits")
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // List usage quotas returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	configuration.SetUnstableOperationEnabled("v2.ListQuotas", true)
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewUsageMeteringApi(apiClient)
    	resp, r, err := api.ListQuotas(ctx, "ai_credits", *datadogV2.NewListQuotasOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `UsageMeteringApi.ListQuotas`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `UsageMeteringApi.ListQuotas`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // List usage quotas returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.UsageMeteringApi;
    import com.datadog.api.client.v2.model.UsageQuotasListResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        defaultClient.setUnstableOperationEnabled("v2.listQuotas", true);
        UsageMeteringApi apiInstance = new UsageMeteringApi(defaultClient);
    
        try {
          UsageQuotasListResponse result = apiInstance.listQuotas("ai_credits");
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling UsageMeteringApi#listQuotas");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // List usage quotas returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_usage_metering::ListQuotasOptionalParams;
    use datadog_api_client::datadogV2::api_usage_metering::UsageMeteringAPI;
    
    #[tokio::main]
    async fn main() {
        let mut configuration = datadog::Configuration::new();
        configuration.set_unstable_operation_enabled("v2.ListQuotas", true);
        let api = UsageMeteringAPI::with_config(configuration);
        let resp = api
            .list_quotas(
                "ai_credits".to_string(),
                ListQuotasOptionalParams::default(),
            )
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * List usage quotas returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    configuration.unstableOperations["v2.listQuotas"] = true;
    const apiInstance = new v2.UsageMeteringApi(configuration);
    
    const params: v2.UsageMeteringApiListQuotasRequest = {
      quotaNamespace: "ai_credits",
    };
    
    apiInstance
      .listQuotas(params)
      .then((data: v2.UsageQuotasListResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"